<!doctype html>
<!--
  Copyright (C) 2024 bAvenir

  This program and the accompanying materials are made
  available under the terms of the Eclipse Public License 2.0
  which is available at https://www.eclipse.org/legal/epl-2.0/

  SPDX-License-Identifier: EPL-2.0
-->
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Data Broker</title>
  <style>
    body {
        font-family: Arial, sans-serif;
        margin: 0;
        padding: 0;
        background-color: #f4f4f4;
    }

    .container {
        max-width: 800px;
        margin: 20px auto;
        padding: 20px;
        background-color: #fff;
        border-radius: 8px;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    }

    h1 {
        text-align: center;
        color: #333;
    }

    p {
        color: #666;
        line-height: 1.6;
    }

    .button-container {
        margin-top: 20px;
    }

    .button-container button {
        display: block;
        width: 100%;
        padding: 10px 20px;
        margin-bottom: 10px;
        border: none;
        border-radius: 4px;
        background-color: #007bff;
        color: #fff;
        font-size: 16px;
        cursor: pointer;
        transition: background-color 0.3s;
    }

    .button-container button:hover {
        background-color: #0056b3;
    }

    .red-button {
      display: block;
      width: 100%;
      padding: 10px 20px;
      margin-bottom: 10px;
      border: none;
      border-radius: 4px;
      background-color: #f0717b; /* Red color */
      color: #fff;
      font-size: 16px;
      cursor: pointer;
      transition: background-color 0.3s;
    }

    .red-button:hover {
        background-color: #ed4552; /* Darker red color on hover */
    }

    .hr-line {
        border-top: 1px solid #ccc;
        margin-top: 20px;
    }

    .hr-before {
        margin-top: 20px;
        border-top: 2px solid #FF5733; /* Different color for this horizontal line */
    }
  </style>
</head>
<body>

<div class="container">
  <h1>Data Broker</h1>

  <p>This is web interface of SPADE DataBroker that is mainly accessed from cloud web interface (db.spade.bavenir.eu) or
    from your adapters/integrations.</p>
  <p>Discover further directions through these links:</p>

  <button onclick="openCloudUI()" class="red-button">Access UI (db.spade.bavenir.eu)</button>
  <hr class="hr-line">
  <div class="button-container">
    <button onclick="openSwagger('nb')">Swagger NorthBound</button>
    <button onclick="openSwagger('sb')">Swagger SouthBound</button>

    <button onclick="openFile('nb')">NB-openapi.yaml</button>
    <button onclick="openFile('sb')">SB-openapi.yaml</button>
  </div>
</div>
<script>
  // Define your functions
  function openFile(filename) {
    var nb = "https://{{nbHost}}/doc/nb/openapi.yaml";
    var hostname = window.location.hostname;
    var sb = "https://" + hostname + "/doc/sb/openapi.yaml";
    if(filename == "nb") {
      window.open(nb, '_blank');
    } else {
      window.open(sb, '_blank');
    }
  }

  function openSwagger(direction) {
    var nb = "https://{{nbHost}}/doc/nb/swagger/index.html";
    var hostname = window.location.hostname;
    var sb = "https://" + hostname + "/doc/sb/swagger/index.html";
    if(direction == "nb") {
      window.open(nb, '_blank');
    } else {
      window.open(sb, '_blank');
    }
  }

   function openCloudUI() {
    var cloudUI = "https://db.spade.bavenir.eu/";
    window.open(cloudUI, '_blank');
    }

</script>

</body>
</html>
